// Copyright (c) 1998 by W3C
//
// DOM is a trademark of W3C
// The DOM level 1 specification, from which this
// source is derived, is copyright by W3C.
// See: http://www.w3.org/TR/REC-DOM-Level-1/
//

package org.w3c.dom.html;

import org.w3c.dom.*;

/**

  <P>Unordered list. See the 
    <A  href="http://www.w3.org/TR/REC-html40/struct/lists.html#edef-UL">UL element definition</A>
 in HTML 4.0.
  
</P>

<HR>

<!-- ======== PROPERTY SUMMARY ======== -->

<A NAME="property_summary"><!-- --></A>
<TABLE BORDER=1 CELLPADDING=3 CELLSPACING=0 WIDTH=100%>
<TR BGCOLOR=#CCCCFF ID=TableHeadingColor>
<TD COLSPAN=3><FONT SIZE=+2><B>Property Summary</B>
</FONT></TD></TR>
<TR><TD ALIGN=right VALIGN=top WIDTH=1%>
<a name=att-compact><CODE>&nbsp;compact</CODE></a></TD>
<TD ALIGN=center VALIGN=top WIDTH=1%>
<a href='#getCompact()'>getCompact</a>
<a href='#setCompact(java.lang.String)'>setCompact</a>
</TD>
<TD>
  <P>Reduce spacing between list items. See the 
    <A  href="http://www.w3.org/TR/REC-html40/struct/lists.html#adef-compact">compact attribute definition</A>
 in HTML 4.0. This attribute is deprecated in HTML 4.0.
  
</P>
</TD>
</TR>
<TR><TD ALIGN=right VALIGN=top WIDTH=1%>
<a name=att-type><CODE>&nbsp;type</CODE></a></TD>
<TD ALIGN=center VALIGN=top WIDTH=1%>
<a href='#getType()'>getType</a>
<a href='#setType(java.lang.String)'>setType</a>
</TD>
<TD>
  <P>Bullet style. See the 
    <A  href="http://www.w3.org/TR/REC-html40/struct/lists.html#adef-type-UL">type attribute definition</A>
 in HTML 4.0. This attribute is deprecated in HTML 4.0.
  
</P>
</TD>
</TR>
</TABLE>
&nbsp;
*/
public interface HTMLUListElement
extends HTMLElement
{
	/** Assigns the value of the <code><a href=#att-compact>compact</a></code> property.
	 */
	void setCompact (boolean compact);

	/**
	 * Returns the value of the <code><a href=#att-compact>compact</a></code> property.
	*/
	boolean getCompact ();


	/** Assigns the value of the <code><a href=#att-type>type</a></code> property.
	 */
	void setType (String type);

	/**
	 * Returns the value of the <code><a href=#att-type>type</a></code> property.
	*/
	String getType ();


}
